/*
 * Decompiled with CFR 0.152.
 */
package fire.pb.battle.pvp;

import fire.pb.battle.pvp.EPvPType;
import fire.pb.battle.pvp.IPvPServiceHandle;
import fire.pb.battle.pvp.PvPControl;
import fire.pb.battle.pvp.PvPControlManager;
import fire.pb.battle.pvp.PvPHelper;

public class PvPServiceHandleFactory {
    public static IPvPServiceHandle create(int serviceId) {
        switch (serviceId) {
            case 910000: {
                return new PvPEnter(EPvPType.PVP1);
            }
            case 910004: {
                return new PvPLeave(EPvPType.PVP1);
            }
            case 910006: 
            case 910007: {
                return new PvPAward(EPvPType.PVP1);
            }
            case 910010: {
                return new PvPEnter(EPvPType.PVP3);
            }
            case 910014: {
                return new PvPLeave(EPvPType.PVP3);
            }
            case 910016: 
            case 910017: 
            case 910018: {
                return new PvPAward(EPvPType.PVP3);
            }
            case 910020: {
                return new PvPEnter(EPvPType.PVP5);
            }
            case 910024: {
                return new PvPLeave(EPvPType.PVP5);
            }
            case 910026: 
            case 910027: {
                return new PvPAward(EPvPType.PVP5);
            }
        }
        return null;
    }

    public static class PvPAward
    implements IPvPServiceHandle {
        private final EPvPType pvpType;

        public PvPAward(EPvPType pvpType) {
            this.pvpType = pvpType;
        }

        @Override
        public void handle(long roleId, int serviceId) {
            PvPControl c = PvPControlManager.getControl(this.pvpType);
            if (c != null) {
                int boxType = PvPHelper.getBoxTypeByServiceId(serviceId);
                c.getAward(roleId, boxType);
            }
        }
    }

    public static class PvPLeave
    implements IPvPServiceHandle {
        private final EPvPType pvpType;

        public PvPLeave(EPvPType pvpType) {
            this.pvpType = pvpType;
        }

        @Override
        public void handle(long roleId, int serviceId) {
            PvPControl c = PvPControlManager.getControl(this.pvpType);
            if (c != null) {
                c.applyLeave(roleId);
            }
        }
    }

    public static class PvPEnter
    implements IPvPServiceHandle {
        private final EPvPType pvpType;

        public PvPEnter(EPvPType pvpType) {
            this.pvpType = pvpType;
        }

        @Override
        public void handle(long roleId, int serviceId) {
            PvPControl c = PvPControlManager.getControl(this.pvpType);
            if (c != null) {
                c.applyEnter(roleId, 516017);
            }
        }
    }
}

